/************************************************************************/
/*	Copyright 1987-1991 by Chuck Musciano and Harris Corporation 	*/
/*									*/
/*	Full ownership of this software, and all rights pertaining to 	*/
/*	the for-profit distribution of this software, are retained by 	*/
/*	Chuck Musciano and Harris Corporation.  You are permitted to 	*/
/*	use this software without fee.  This software is provided "as 	*/
/*	is" without express or implied warranty.  You may redistribute 	*/
/*	this software, provided that this copyright notice is retained,	*/
/*	and that the software is not distributed for profit.  If you 	*/
/*	wish to use this software in a profit-making venture, you must 	*/
/*	first license this code and its underlying technology from 	*/
/*	Harris Corporation. 						*/
/*									*/
/*	Bottom line: you can have this software, you can use it, you 	*/
/*	can give it away.  You just can't sell any or all parts of it 	*/
/*	without prior permission from Harris Corporation. 		*/
/************************************************************************/

/************************************************************************/
/*									*/
/*	casio.h		Definitions for low-level BOSS i/o		*/
/*									*/
/************************************************************************/

#define		PACKET_START		':'
#define		XMIT_TERMINATE		0x21
#define		RCV_ERROR		0x22
#define		PACKET_ACK		0x23
#define		MODE_ERROR		0x24
#define		XMIT_ERROR		0x3f

PUBLIC	int	open_casio();
PUBLIC	int	read_casio();
PUBLIC	int	write_casio();
PUBLIC	int	flush_casio();

