/************************************************************************/
/*	Copyright 1987-1991 by Chuck Musciano and Harris Corporation 	*/
/*									*/
/*	Full ownership of this software, and all rights pertaining to 	*/
/*	the for-profit distribution of this software, are retained by 	*/
/*	Chuck Musciano and Harris Corporation.  You are permitted to 	*/
/*	use this software without fee.  This software is provided "as 	*/
/*	is" without express or implied warranty.  You may redistribute 	*/
/*	this software, provided that this copyright notice is retained,	*/
/*	and that the software is not distributed for profit.  If you 	*/
/*	wish to use this software in a profit-making venture, you must 	*/
/*	first license this code and its underlying technology from 	*/
/*	Harris Corporation. 						*/
/*									*/
/*	Bottom line: you can have this software, you can use it, you 	*/
/*	can give it away.  You just can't sell any or all parts of it 	*/
/*	without prior permission from Harris Corporation. 		*/
/************************************************************************/

/************************************************************************/
/*									*/
/*	Various manifest definitions					*/
/*									*/
/************************************************************************/

#define		strsave(x)	((char *) strcpy(malloc(strlen(x) + 1), x))

#define		PRIVATE		static
#define		PUBLIC		extern
#define		EXPORT

#ifndef	TRUE
#define		TRUE		1
#define		FALSE		0
#endif

#ifndef	NULL
#define		NULL		0
#endif

#define		INVALID_TIME	255

#define		CASIO_END_LINE	'\015'
#define		CASIO_END_ENTRY	'\012'

typedef	unsigned	char	byte;
typedef	unsigned	short	word;

typedef	struct	t_rec	time;
typedef	struct	d_rec	date;

struct	t_rec	{byte	hour;
		 byte	minute;
		};

struct	d_rec	{word	year;
		 byte	month;
		 byte	day;
		};

PUBLIC	long	ascii_to_long();
PUBLIC	char	**tokenize();
